> For the complete documentation index, see [llms.txt](https://docs.chartbeat.com/cbp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chartbeat.com/cbp/api/conversion-api/top-articles.md).

# Top Articles

## Top Articles

<mark style="color:blue;">`GET`</mark> `https://api.chartbeat.com/milkyway_dashboard/v1/top_articles_by_event_type`

Fetch the top articles that drove a given event type

#### Query Parameters

| Name                                                | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                             |
| --------------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| host<mark style="color:red;">\*</mark>              | String | The site on which you are querying.                                                                                                                                                                                                                                                                                                                                                                                     |
| end                                                 | String | Include timestamp. The format of the timestamp should be ISO8601 compliant (e.g. `2013-05-11T20:00:00Z`) or if you want to query in a different time zone (e.g. `2013-05-11T20:00:00+07:00`).                                                                                                                                                                                                                           |
| start                                               | String | Include timestamp. The format of the timestamp should be ISO8601 compliant (e.g. 2013-05-11T20:00:00Z) or if you want to query in a different time zone (e.g. 2013-05-11T20:00:00+07:00).                                                                                                                                                                                                                               |
| sort\_event\_type<mark style="color:red;">\*</mark> | String | [Event type](https://docs.chartbeat.com/cbp/feature-integrations/conversion/conversion-events) used to sort articles. Use a combination of the event category name (e.g. `paywall`, `registration,`  `newsletter_signup, download` - *see full list below*) and the action (`shown`, `start`, `complete`, or `cancel`) in the format `categoryname_action`. **Note that these are case sensitive.** One value accepted. |
| limit<mark style="color:red;">\*</mark>             | Number | The maximum number of distinct articles to return.                                                                                                                                                                                                                                                                                                                                                                      |
| apikey (*see note*)                                 | String | **NOTE**: Your API key should no longer be set as a query param; instead. [pass it in the HTTP header](https://docs.chartbeat.com/cbp/api/conversion-api/getting-started-with-our-conversion-api#required-api-parameters)                                                                                                                                                                                               |

Available `sort_event_type` values (e.g. `&sort_event_type=survey`)&#x20;

```json
paywall, registration, newsletter_signup, offer, survey, unsubscribe, user_profile_info, download, donation, payment, search, save
```

{% tabs %}
{% tab title="200: OK " %}

```
            {
              "status": "success",
              "data": {
                "top_pages": [
                  {
                    "sort_value": 12,
                    "event_types": {
                      "paywall_complete": 6,
                      "paywall_show ": 27,
                    },
                    "attribution_path": "site.com/myarticle/2"
                  },
                  {
                    "sort_value": 11,
                    "event_types": {
                      "paywall_complete": 1,
                      "paywall_shown": 26
                    },
                    "attribution_path": "site.com/myarticle/1"
                  },
                  {
                    "sort_value": 6,
                    "event_types": {
                      "paywall_complete": 5,
                      "paywall_shown": 33
                    },
                    "attribution_path": "site.com/myarticle/3"
                  }
                ]
              }
            }
```

{% endtab %}
{% endtabs %}
